#
# spec file for package perl-Text-Glob
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define cpan_name Text-Glob

Name:           perl-%cpan_name
Version:        0.09
Release:        16.5
Provides:       %cpan_name
Group:          Development/Libraries/Perl
License:        Artistic-1.0
Url:            http://search.cpan.org/dist/Text-Glob/
Summary:        Tools for working with paths and file specs across platforms
Source:         %cpan_name-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%{perl_requires}
BuildRequires:  perl
BuildRequires:  perl-macros

%description
Text::Glob implements glob(3) style matching that can be used to match against text, rather than fetching names from a filesystem. If you want to do full file globbing use the File::Glob module instead.

%prep
%setup -q -n %cpan_name-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make

%check
make test

%install
make DESTDIR=$RPM_BUILD_ROOT install_vendor
%perl_process_packlist

%clean
# clean up the hard disc after build
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc %{_mandir}/man?/*
%{perl_vendorlib}/Text
%{perl_vendorarch}/auto/Text
%doc Changes MANIFEST

%changelog
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Fri Feb 25 2011 vcizek@novell.com
- update to 0.09
  * Compiled documentation fixes
    (collected by Tom Hukins from fixes on rt.cpan)
* Wed Feb  2 2011 vcizek@novell.com
- bzipped source tarball
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Mon Nov 29 2010 coolo@novell.com
- remove /var/adm/perl-modules
* Tue Oct 19 2010 coolo@novell.com
- add perl as explicit buildrequire
* Sun Jun  8 2008 gerrit.beine@gmx.de
- first release 0.08
